package net.ranides.test.adapter.model0;

public abstract class AbstractScreen0 {

    public abstract int width();

    public abstract int height();

    public final boolean isWide() {
        return width() >= 2*height();
    }

    public abstract void add(String id, int x, int y);

    public void add(Image0 image) {
        add(image.getId(), image.getX(), image.getY());
    }

}
